# OqlWhereParser Class Reference

Inheritance diagram for OqlWhereParser:
[legend]

List of all members.

## Static Public Member Functions

static | create ()

## Protected Member Functions

| makeOqlObject ()
| handleState ()

## Detailed Description

Definition at line 12 of file OqlWhereParser.class.php.

## Member Function Documentation

static OqlWhereParser::create | ( |  | ) | `[static]`

Returns:
  OqlWhereParser

Definition at line 17 of file OqlWhereParser.class.php.

Referenced by makeOqlObject(), OQL::where(), and OqlSelectParser::whereState().

OqlWhereParser::handleState | ( |  | ) | `[protected]`

Reimplemented from OqlParser.

Definition at line 30 of file OqlWhereParser.class.php.

References OqlParser::error(), and OqlParser::getLogicExpression().

Here is the call graph for this function:

OqlWhereParser::makeOqlObject | ( |  | ) | `[protected]`

Returns:
  OqlWhereClause

Reimplemented from OqlParser.

Definition at line 25 of file OqlWhereParser.class.php.

References create().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/OQL/Parsers/OqlWhereParser.class.php